// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.19.4
// source: proto/ping.proto

package base

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// ping
type PingReq struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// 0: ping
	// 1: pong
	Code int32 `protobuf:"varint,1,opt,name=Code,proto3" json:"Code,omitempty"`
	//请求时间,ping可额外请求对方时间
	RequestTime bool `protobuf:"varint,2,opt,name=RequestTime,proto3" json:"RequestTime,omitempty"`
	//响应时间，unix时间，单位为秒
	// the number of seconds elapsed since January 1, 1970 UTC
	PongTime int64 `protobuf:"varint,3,opt,name=PongTime,proto3" json:"PongTime,omitempty"`
	// sessionid
	SessionID []byte `protobuf:"bytes,4,opt,name=SessionID,proto3" json:"SessionID,omitempty"`
}

func (x *PingReq) Reset() {
	*x = PingReq{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_ping_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PingReq) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PingReq) ProtoMessage() {}

func (x *PingReq) ProtoReflect() protoreflect.Message {
	mi := &file_proto_ping_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PingReq.ProtoReflect.Descriptor instead.
func (*PingReq) Descriptor() ([]byte, []int) {
	return file_proto_ping_proto_rawDescGZIP(), []int{0}
}

func (x *PingReq) GetCode() int32 {
	if x != nil {
		return x.Code
	}
	return 0
}

func (x *PingReq) GetRequestTime() bool {
	if x != nil {
		return x.RequestTime
	}
	return false
}

func (x *PingReq) GetPongTime() int64 {
	if x != nil {
		return x.PongTime
	}
	return 0
}

func (x *PingReq) GetSessionID() []byte {
	if x != nil {
		return x.SessionID
	}
	return nil
}

var File_proto_ping_proto protoreflect.FileDescriptor

var file_proto_ping_proto_rawDesc = []byte{
	0x0a, 0x10, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x70, 0x69, 0x6e, 0x67, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x04, 0x62, 0x61, 0x73, 0x65, 0x22, 0x79, 0x0a, 0x07, 0x50, 0x69, 0x6e, 0x67,
	0x52, 0x65, 0x71, 0x12, 0x12, 0x0a, 0x04, 0x43, 0x6f, 0x64, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x05, 0x52, 0x04, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0b, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x50, 0x6f, 0x6e,
	0x67, 0x54, 0x69, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x50, 0x6f, 0x6e,
	0x67, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x53, 0x65, 0x73, 0x73, 0x69, 0x6f, 0x6e,
	0x49, 0x44, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x09, 0x53, 0x65, 0x73, 0x73, 0x69, 0x6f,
	0x6e, 0x49, 0x44, 0x42, 0x1e, 0x5a, 0x1c, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x6b, 0x69, 0x63, 0x61, 0x64, 0x39, 0x39, 0x2f, 0x6b, 0x61, 0x70, 0x69, 0x2f, 0x62,
	0x61, 0x73, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_proto_ping_proto_rawDescOnce sync.Once
	file_proto_ping_proto_rawDescData = file_proto_ping_proto_rawDesc
)

func file_proto_ping_proto_rawDescGZIP() []byte {
	file_proto_ping_proto_rawDescOnce.Do(func() {
		file_proto_ping_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_ping_proto_rawDescData)
	})
	return file_proto_ping_proto_rawDescData
}

var file_proto_ping_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_proto_ping_proto_goTypes = []interface{}{
	(*PingReq)(nil), // 0: base.PingReq
}
var file_proto_ping_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_proto_ping_proto_init() }
func file_proto_ping_proto_init() {
	if File_proto_ping_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_proto_ping_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PingReq); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_ping_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_proto_ping_proto_goTypes,
		DependencyIndexes: file_proto_ping_proto_depIdxs,
		MessageInfos:      file_proto_ping_proto_msgTypes,
	}.Build()
	File_proto_ping_proto = out.File
	file_proto_ping_proto_rawDesc = nil
	file_proto_ping_proto_goTypes = nil
	file_proto_ping_proto_depIdxs = nil
}
